# Start

Use this action at the very beginning of a Flow to turn on execution tracing for individual executions of the Flow ("interviews" in Flow-speak). Make sure to also place a [Finish](/kb/automation-builder-kit-abk/actions/flow-lifecycle/finishflowaction.md) action at the end of your Flow.

## Inputs

| Name              | Required | Type   | Description                                                    |
| ----------------- | -------- | ------ | -------------------------------------------------------------- |
| flowInterviewGuid | Yes      | String | Automatically provided as $Flow\.InterviewGuid.                |
| flowApiName       | No       | String | The API name of the flow. Automatically provided if available. |
| recordId          | No       | Id     | Record Id of the record being used in the Flow.                |

## Outputs

| Name              | Type   | Description        |
| ----------------- | ------ | ------------------ |
| flowInterviewGuid | String | The interview GUID |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gradient.works/kb/automation-builder-kit-abk/actions/flow-lifecycle/startflowaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
